using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchnittstelleImporter.XML2006
{
    /// <summary>
    /// 
    /// </summary>
    public sealed class InspizierteAbwassertechnischeAnlage
    {
        string objektbezeichnung;
        Lage lage;
        EAnlagetyp anlagentyp;
        OptischeInspektion optischeInspektion;
        /// <summary>
        /// 
        /// </summary>
        public string Objektbezeichnung
        {
            get
            {
                return objektbezeichnung;
            }
            set
            {
                objektbezeichnung = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public EAnlagetyp Anlagentyp
        {
            get
            {
                return anlagentyp;
            }
            set
            {
                anlagentyp = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public OptischeInspektion OptischeInspektion
        {
            get
            {
                return optischeInspektion;
            }
            set
            {
                optischeInspektion = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
        public Lage Lage
        {
            get
            {
                return lage;
            }
            set
            {
                lage = value;
            }
        }
        /// <summary>
        /// 
        /// </summary>
  
        public override string ToString()
        {
            return objektbezeichnung;
        }
    }
}
